### Method

# AppStream Component load_releases

#### Declaration [src]

    AsReleaseList*
    as_component_load_releases (
      AsComponent* cpt,
      gboolean allow_net,
      GError** error
    )

#### Description [src]

Get release information for this component, download it if necessary.

#### Parameters

`allow_net`

  Type: `gboolean`

  No description available.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `AsReleaseList`

Release information as `AsReleaseList`, or `NULL` if loading failed.

The data is owned by the instance.
The return value can be `NULL`.